<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
	<div th:fragment="dashboard">
		<div class="ui grid">
			<div class="row">
				<div class="column eight wide">
					<h2 th:text="${sprint.name}"></h2>
				</div>
				<div class="column four wide">
					<h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAM}}"></h4>
					<label th:text="${sprint.team.name}"></label>
				</div>
				<div class="column two wide">
					<h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}"></h4>
					<label th:text="${#dates.format(sprint.estimatedStart, 'yyyy-MM-dd')}"></label>
				</div>
				<div class="column two wide">
					<h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}"></h4>
					<label th:text="${#dates.format(sprint.estimatedEnd, 'yyyy-MM-dd')}"></label>
				</div>
			</div>

			<div class="row">
				<div class="column eight wide ui segment">
					<div class="ui two statistics">
						<div class="statistic">
							<div class="value">
								<i class="check icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
								<span th:text="${#lists.size(sprint.tasks.?[status.finalStatus])}"></span>
							</div>
							<div class="label">Tasks Completed</div>
						</div>
						<div class="statistic">
							<div class="value">
								<i class="user icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
								<span th:text="${#lists.size(sprint.members)}"></span>
							</div>
							<div class="label" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MEMBERS}}"></div>
						</div>
					</div>
					<br> <br>
					<div class="ui two statistics">
						<div class="statistic">
							<div class="value">
								<i class="list icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
								<span th:if="${workitems != null}" th:text="${#lists.size(workitems)}"></span>
								<span th:if="${workitems == null}">0</span>
							</div>
							<div class="label">Product Backlog</div>
						</div>
						<div class="statistic">
							<div class="value">
								<i class="clock icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
								<span th:text="${sprint.duration}"></span>
							</div>
							<div class="label">Duration (days)</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
			                                                          		icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
			                                                          		icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SPRINTS},
			                                                          		)" />
	</div>
</body>
</html>